## cong-editor-area-structural-tag

cong-editor-area-structural-tag —

## Synopsis

    #define     CONG_EDITOR_AREA_STRUCTURAL_TAG (obj)
    #define     CONG_EDITOR_AREA_STRUCTURAL_TAG_CLASS(klass)
    #define     IS_CONG_EDITOR_AREA_STRUCTURAL_TAG(obj)
    GType       cong_editor_area_structural_tag_get_type
                                                (void);
    CongEditorArea* cong_editor_area_structural_tag_construct
                                                (CongEditorAreaStructuralTag *area_structural_tag,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongDispspecElement *ds_element,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text);
    CongEditorArea* cong_editor_area_structural_tag_new
                                                (CongEditorWidget3 *editor_widget,
                                                 CongDispspecElement *ds_element,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text);

## Description

## Details

### CONG_EDITOR_AREA_STRUCTURAL_TAG()

    #define CONG_EDITOR_AREA_STRUCTURAL_TAG(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_STRUCTURAL_TAG_TYPE, CongEditorAreaStructuralTag)

`obj` : |

### CONG_EDITOR_AREA_STRUCTURAL_TAG_CLASS()

    #define CONG_EDITOR_AREA_STRUCTURAL_TAG_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_STRUCTURAL_TAG_TYPE, CongEditorAreaStructuralTagClass)

`klass` : |

### IS_CONG_EDITOR_AREA_STRUCTURAL_TAG()

    #define IS_CONG_EDITOR_AREA_STRUCTURAL_TAG(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_STRUCTURAL_TAG_TYPE)

`obj` : |

### cong_editor_area_structural_tag_get_type ()

    GType       cong_editor_area_structural_tag_get_type
                                                (void);

Returns : |

### cong_editor_area_structural_tag_construct ()

    CongEditorArea* cong_editor_area_structural_tag_construct
                                                (CongEditorAreaStructuralTag *area_structural_tag,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongDispspecElement *ds_element,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text);

TODO: Write me

`area_structural_tag` : |
`editor_widget` : |
`ds_element` : |
`pixbuf` : |
`text` : |
Returns : |

### cong_editor_area_structural_tag_new ()

    CongEditorArea* cong_editor_area_structural_tag_new
                                                (CongEditorWidget3 *editor_widget,
                                                 CongDispspecElement *ds_element,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text);

TODO: Write me

`editor_widget` : |
`ds_element` : |
`pixbuf` : |
`text` : |
Returns : |